<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<title>morphorobotx: Command_SA_Stop_S Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">morphorobotx
   </div>
   <div id="projectbrief">morphorobotxsharedlibrary</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.1.2 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Namespaces</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&#160;</span>Typedefs</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&#160;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&#160;</span>Enumerator</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(9)"><span class="SelectionMark">&#160;</span>Macros</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="classCommand__SA__Stop__S-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">Command_SA_Stop_S Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="SmarActCommands_8hpp_source.html">SmarActCommands.hpp</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for Command_SA_Stop_S:</div>
<div class="dyncontent">
<div class="center"><img src="classCommand__SA__Stop__S__inherit__graph.png" border="0" usemap="#Command__SA__Stop__S_inherit__map" alt="Inheritance graph"/></div>
<map name="Command__SA__Stop__S_inherit__map" id="Command__SA__Stop__S_inherit__map">
<area shape="rect" id="node2" href="classSmarActCommand.html" title="{SmarActCommand\n|# _result\l|+ SmarActCommand()\l+ ~SmarActCommand()\l+ Status()\l+ GetStatusDescription()\l+ ResultValue()\l+ Failed()\l+ RetryOnceAllowed()\l}" alt="" coords="15,5,180,195"/></map>
</div>
<div class="dynheader">
Collaboration diagram for Command_SA_Stop_S:</div>
<div class="dyncontent">
<div class="center"><img src="classCommand__SA__Stop__S__coll__graph.png" border="0" usemap="#Command__SA__Stop__S_coll__map" alt="Collaboration graph"/></div>
<map name="Command__SA__Stop__S_coll__map" id="Command__SA__Stop__S_coll__map">
<area shape="rect" id="node2" href="classSmarActCommand.html" title="{SmarActCommand\n||+ SmarActCommand()\l+ ~SmarActCommand()\l+ Status()\l+ GetStatusDescription()\l+ ResultValue()\l+ Failed()\l+ RetryOnceAllowed()\l}" alt="" coords="15,315,180,504"/><area shape="rect" id="node4" href="classSmarActResult.html" title="{SmarActResult\n|# _status\l# _value\l|+ SmarActResult()\l+ GetDescription()\l+ ~SmarActResult()\l+ Status()\l+ GetStatusDescription()\l+ SetStatus()\l+ SetValue()\l+ Value()\l+ StatusMap()\l}" alt="" coords="15,6,180,247"/></map>
</div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a41ab0ae104cf2e29a22c3d05f63c419a"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCommand__SA__Stop__S.html#a41ab0ae104cf2e29a22c3d05f63c419a">Command_SA_Stop_S</a> ()</td></tr>
<tr class="memitem:a98ca285b95d15789e402ec82e50e3805"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCommand__SA__Stop__S.html#a98ca285b95d15789e402ec82e50e3805">~Command_SA_Stop_S</a> ()</td></tr>
<tr class="memitem:a3ebc2495afa3abdc6665c150e5957139"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCommand__SA__Stop__S.html#a3ebc2495afa3abdc6665c150e5957139">Send</a> (SA_INDEX systemID, SA_INDEX axisID)</td></tr>
<tr class="inherit_header pub_methods_classSmarActCommand"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classSmarActCommand')"><img src="closed.png" alt="-"/>&nbsp;Public Member Functions inherited from <a class="el" href="classSmarActCommand.html">SmarActCommand</a></td></tr>
<tr class="memitem:a4bc331287440d28b8d86cbdf86abaf58 inherit pub_methods_classSmarActCommand"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classSmarActCommand.html#a4bc331287440d28b8d86cbdf86abaf58">SmarActCommand</a> ()</td></tr>
<tr class="memitem:a2dfce200a3d263d7f99e3f13706b5a31 inherit pub_methods_classSmarActCommand"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classSmarActCommand.html#a2dfce200a3d263d7f99e3f13706b5a31">~SmarActCommand</a> ()</td></tr>
<tr class="memitem:a85967ae65fb61b8914afac5e6e0611d0 inherit pub_methods_classSmarActCommand"><td class="memItemLeft" align="right" valign="top">SA_STATUS&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classSmarActCommand.html#a85967ae65fb61b8914afac5e6e0611d0">Status</a> ()</td></tr>
<tr class="memitem:a736733290d8426a79e7d57249fae7dc1 inherit pub_methods_classSmarActCommand"><td class="memItemLeft" align="right" valign="top">QString&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classSmarActCommand.html#a736733290d8426a79e7d57249fae7dc1">GetStatusDescription</a> ()</td></tr>
<tr class="memitem:a91c76eaca80819d476b5580e5ac314b1 inherit pub_methods_classSmarActCommand"><td class="memItemLeft" align="right" valign="top">double&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classSmarActCommand.html#a91c76eaca80819d476b5580e5ac314b1">ResultValue</a> ()</td></tr>
<tr class="memitem:a8e91df4e395208ca3081c8d762c25ac1 inherit pub_methods_classSmarActCommand"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classSmarActCommand.html#a8e91df4e395208ca3081c8d762c25ac1">Failed</a> ()</td></tr>
<tr class="memitem:ac9c52396f6c035492beee52a024b6987 inherit pub_methods_classSmarActCommand"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classSmarActCommand.html#ac9c52396f6c035492beee52a024b6987">RetryOnceAllowed</a> ()</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="inherited"></a>
Additional Inherited Members</h2></td></tr>
<tr class="inherit_header pro_attribs_classSmarActCommand"><td colspan="2" onclick="javascript:toggleInherit('pro_attribs_classSmarActCommand')"><img src="closed.png" alt="-"/>&nbsp;Protected Attributes inherited from <a class="el" href="classSmarActCommand.html">SmarActCommand</a></td></tr>
<tr class="memitem:ac66b03ef6a7b24b8edceb5ff89fbce16 inherit pro_attribs_classSmarActCommand"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classSmarActResult.html">SmarActResult</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classSmarActCommand.html#ac66b03ef6a7b24b8edceb5ff89fbce16">_result</a></td></tr>
</table>
<h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a41ab0ae104cf2e29a22c3d05f63c419a"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Command_SA_Stop_S::Command_SA_Stop_S </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a class="anchor" id="a98ca285b95d15789e402ec82e50e3805"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">Command_SA_Stop_S::~Command_SA_Stop_S </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<h2>Member Function Documentation</h2>
<a class="anchor" id="a3ebc2495afa3abdc6665c150e5957139"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool Command_SA_Stop_S::Send </td>
          <td>(</td>
          <td class="paramtype">SA_INDEX&#160;</td>
          <td class="paramname"><em>systemID</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">SA_INDEX&#160;</td>
          <td class="paramname"><em>axisID</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p><div class="dynheader">
Here is the call graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="classCommand__SA__Stop__S_a3ebc2495afa3abdc6665c150e5957139_cgraph.png" border="0" usemap="#classCommand__SA__Stop__S_a3ebc2495afa3abdc6665c150e5957139_cgraph" alt=""/></div>
<map name="classCommand__SA__Stop__S_a3ebc2495afa3abdc6665c150e5957139_cgraph" id="classCommand__SA__Stop__S_a3ebc2495afa3abdc6665c150e5957139_cgraph">
<area shape="rect" id="node3" href="classSmarActResult.html#a17a48552c063cd5f0c358247ac8117ec" title="SmarActResult::SetStatus" alt="" coords="249,5,425,35"/></map>
</div>
</p>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="classCommand__SA__Stop__S_a3ebc2495afa3abdc6665c150e5957139_icgraph.png" border="0" usemap="#classCommand__SA__Stop__S_a3ebc2495afa3abdc6665c150e5957139_icgraph" alt=""/></div>
<map name="classCommand__SA__Stop__S_a3ebc2495afa3abdc6665c150e5957139_icgraph" id="classCommand__SA__Stop__S_a3ebc2495afa3abdc6665c150e5957139_icgraph">
<area shape="rect" id="node3" href="classSmarActActuatorAxis.html#a444646ac12c7fe62ea8b89ebfdff1065" title="SmarActActuatorAxis\l::StopSync" alt="" coords="249,5,396,51"/><area shape="rect" id="node5" href="classSmarActActuatorAxis.html#a05973d1934af4f04d075eb33a8d1911e" title="SmarActActuatorAxis\l::GotoSync" alt="" coords="447,5,593,51"/></map>
</div>
</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li><a class="el" href="SmarActCommands_8hpp_source.html">SmarActCommands.hpp</a></li>
<li><a class="el" href="SmarActCommands_8cpp.html">SmarActCommands.cpp</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Tue Feb 26 2013 17:54:10 for morphorobotx by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.1.2
</small></address>
</body>
</html>
